package com.yskj.acdr.master.ad.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.yskj.acdr.master.common.ExtendEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 推广表
 * </p>
 *
 * @author 林河
 * @since 2024-09-12
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName("acdr_ad")
@ApiModel(value = "Ad对象", description = "推广表")
public class Ad extends ExtendEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("推广ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty("资源类型")
    @TableField("type")
    private Integer type;

    @ApiModelProperty("图片路径")
    @TableField("image_url")
    private String imageUrl;

    @ApiModelProperty("推广语")
    @TableField("content")
    private String content;

    @ApiModelProperty("资源路径")
    @TableField("pages_url")
    private String pagesUrl;
}
