package com.yskj.acdr.master.address.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Regeocode {
    private String formattedAddress;
    private AddressComponent addressComponent;
    private List<Poi> pois;
    private List<Road> roads;
    private List<RoadInter> roadinters;
    private List<Aoi> aois;

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class AddressComponent {
        private String country;
        private String province;
        private String city;
        private String citycode;
        private String district;
        private String adcode;
        private String township;
        private String towncode;
        private Neighborhood neighborhood;
        private Building building;
        private StreetNumber streetNumber;
        private List<BusinessArea> businessAreas;
    }

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class Neighborhood {
        private String name;
        private String type;
    }

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class Building {
        private String name;
        private String type;
    }

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class StreetNumber {
        private String street;
        private String number;
        private String location;
        private String direction;
        private String distance;
    }

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class Poi {
        private String id;
        private String name;
        private String type;
        private String tel;
        private String distance;
        private String direction;
        private String address;
        private String location;
        private String businessarea;
    }

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class Road {
        private String id;
        private String name;
        private String distance;
        private String direction;
        private String location;
    }

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class RoadInter {
        private String distance;
        private String direction;
        private String location;
        private String firstId;
        private String firstName;
        private String secondId;
        private String secondName;
    }

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class Aoi {
        private String id;
        private String name;
        private String adcode;
        private String location;
        private String area;
        private String distance;
        private String type;
    }

    @Data
    @Accessors(chain = true)
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class BusinessArea {
        private String location;
        private String name;
        private String id;
    }
}

