package com.yskj.acdr.master.address.service;

import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSONObject;
import com.yskj.acdr.master.address.entity.Regeocode;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
public class ServiceAddressService {

    @Value("${map.amapkey}")
    private String amap;

    public JSONObject getReverseGeocoding(double longitude, double latitude) throws Exception {
        String url = String.format("https://restapi.amap.com/v3/geocode/regeo?location=%f,%f&key=%s", longitude, latitude, amap);

        // 发送HTTP请求
        HttpResponse response = HttpUtil.createGet(url).execute();

        // 解析返回的JSON数据
        JSONObject jsonObject = JSONObject.parseObject(response.body());
        String status = jsonObject.getString("status");

        if ("1".equals(status)) {
            JSONObject regeocode = jsonObject.getJSONObject("regeocode");
            if (regeocode != null) {
                return regeocode; // 返回详细地址信息
            }
        }

        throw new Exception("无法获取详细地址");
    }

    public Regeocode getMapDetail(double longitude, double latitude) throws Exception {
        String url = String.format("https://restapi.amap.com/v3/geocode/regeo?location=%f,%f&key=%s", longitude, latitude, amap);

        // 发送HTTP请求
        HttpResponse response = HttpUtil.createGet(url).execute();

        // 解析返回的JSON数据
        JSONObject jsonObject = JSONObject.parseObject(response.body());
        String status = jsonObject.getString("status");

        if ("1".equals(status)) {
            Regeocode regeocode = jsonObject.getObject("regeocode", Regeocode.class);
            if (regeocode != null) {
                return regeocode; // 返回详细地址信息
            }
        }

        throw new Exception("无法获取详细地址");
    }

}
