package com.yskj.acdr.master.chat.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.yskj.acdr.master.chat.chatenum.ChatState;
import com.yskj.acdr.master.common.ExtendEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author 林河
 * @since 2024-09-11
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName("acdr_chat_message")
@ApiModel(value = "ChatMessage对象", description = "")
public class ChatMessage extends ExtendEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("消息主键")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty("这个用于储存html格式的数据")
    @TableField("content")
    private String content;

    @ApiModelProperty("发送信息用户的id")
    @TableField(value = "user_id", fill = FieldFill.INSERT)
    private Long userId;

    @ApiModelProperty("通信用户的id")
    @TableField("be_user_id")
    private Long beUserId;

    @ApiModelProperty("消息状态,0未读，1已读")
    @TableField(value = "state")
    private ChatState state;
}
