package com.yskj.acdr.master.chat.entity;

import com.alibaba.fastjson2.JSON;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 返回给前端的消息类
 */
@Accessors(chain = true)
@Data
public class WSRes {

    // 默认为成功返回的消息
    private int code = 1;

    // 错误信息
    private String message = "";

    // 返回消息体
    private String content;

    public static String success(String message, String data) {
        return JSON.toJSONString(new WSRes()
                        .setMessage(message)
                        .setContent(data));
    }

    public static String success(String message) {
        return success(message, "");
    }

    public static <T> String success(T data) {
        return success("", JSON.toJSONString(data));
    }

    public static <T> String success(String message, T data) {
        return success(message, JSON.toJSONString(data));
    }

    public static String error(String errorMsg) {
        return JSON.toJSONString(new WSRes()
                .setMessage(errorMsg)
                .setCode(0));
    }

    public static String error() {
        return error("通信失败！");
    }
}
