package com.yskj.acdr.master.community.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.yskj.acdr.master.common.ExtendEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author 林河
 * @since 2024-08-12
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName("acdr_comments")
@ApiModel(value = "Comments对象", description = "")
public class Comments extends ExtendEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("post_id")
    @NotNull(message = "帖子ID不能为空")
    private Long postId;

    @TableField(value = "user_id", fill = FieldFill.INSERT)
    private Long userId;

    @TableField("content")
    @NotBlank(message = "评论内容不能为空")
    @Size(min = 5, message = "评论内容不能少于五个字")
    private String content;

    @TableField("deleted_time")
    private LocalDateTime deletedTime;

    @TableField("be_comments_id")
    private Long beCommentsId;
}
